---
names: 
  full: "Google GKE Cluster Node Pool Auto-Upgrade is disabled"
  contextual: "Cluster Node Pool Auto-Upgrade is disabled"
description: "Ensure that GKE Cluster Node Pool Auto-Upgrades are enabled. This\
  \ feature helps keep the nodes in your cluster up to date with the latest stable\
  \ Kubernetes version, which includes critical security patches and bug fixes,\
  \ enhancing the overall security and stability of your cluster."
type: "COMPLIANCE_POLICY"
categories:
  - "RELIABILITY"
frameworkMappings:
  - "/frameworks/cis-gke-v1.8.0/05/05/03"
  - "/frameworks/pci-dss-v3.2.1/02/02"
  - "/frameworks/cloudaware/resource-reliability/infrastructure-modernization"
